Bug 727739 - Publican Eclipse output doesn't work
Publican Eclipse output doesn't work
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
Unspecified Linux
unspecified Severity medium
: 2.7
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 01:16 EDT by Isaac Rooskov
Modified: 2015-07-13 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 23:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Normal publican output (2.18 MB, application/zip)
2011-08-03 01:18 EDT, Isaac Rooskov
no flags Details
Modified publican output (2.20 MB, application/zip)
2011-08-03 01:19 EDT, Isaac Rooskov
no flags Details

  None (edit)
Description Isaac Rooskov 2011-08-03 01:16:40 EDT
Description of problem:
Generated Eclipse plug-in output doesn't work. Placed "as is" into an eclipse plug-in directory forces the program to hang on start-up. With modification to adhere to eclipse standards (naming etc..), eclipse will start but parse errors will be shown when accessing the document in eclipse help (instead of content). 

Version-Release number of selected component (if applicable):
2.6

How reproducible:
100%

Steps to Reproduce (Hanging):
1. Unzip attached eclipse.zip file and copy folder into your eclipse plugin directory
2. Start eclipse
3. Eclipse hangs

Steps to Reproduce (Error):
1. Unzip attached com.jboss.developer.studio.beginners.guide_1.0.0.zip file and copy folder into your eclipse plugin directory
2. Start eclipse
3. Eclipse opens
4. Go to Help -> Help Contents
5. Expand "Beginners Guide"
6. Click on any child link
7. Error appears on the right where the content should appear 

 
Actual results:
Hanging or error (see above for further details).

Expected results:
Output folder named correctly with plugin.xml containing correct information in the "id" field and "version" field as it applies to Eclipse (see attached examples).

That the folder can be dropped into an eclipse plugin directory, eclipse started and the content able to be used - branded - as expected.

Additional info:
The attached files are as follows:

eclipse.zip -> eclipse output of the JBDS Beginners Guide, untouched after publican generation

com.jboss.developer.studio.beginners.guide_1.0.0.zip -> publican generated content modified to adhere to eclipse convention and links (in the toc.xml) that refer to anchors commented out for testing purposes

com.redhat.eap6.doc_1.0.0.zip -> output from internal program created by mcasperson that works as an eclipse plugin. 

SVN location of book (anonymous check-out): 
http://anonsvn.jboss.org/repos/jbosstools/trunk/documentation/guides/Beginners_Guide/
Comment 1 Isaac Rooskov 2011-08-03 01:18:56 EDT
Created attachment 516432 [details]
Normal publican output
Comment 2 Isaac Rooskov 2011-08-03 01:19:46 EDT
Created attachment 516433 [details]
Modified publican output
Comment 4 Isaac Rooskov 2011-08-03 01:35:58 EDT
This page may be of assistance:

http://www.ibm.com/developerworks/opensource/library/os-echelp/
Comment 5 Ruediger Landmann 2011-08-22 01:51:52 EDT
Nothing to do with Fedora's packaging of Publican: redirecting upstream.
Comment 6 Jeff Fearn 2011-08-23 23:55:38 EDT
The presence of the DOCTYPE line in xml and html output was causing eclipse to barf. Suppressed output of DOCTYPE for eclipse output.

Applied to branches/publican-2x and trunk.

Committed revision 1869.
Comment 7 Jeff Fearn 2011-09-05 23:56:47 EDT
Publican 2.7 has been release and includes a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.